<?
ob_start("ob_gzhandler");
require "include/bittorrent.php";
dbconn(false);
loggedinorreturn();



if ($HTTP_SERVER_VARS["REQUEST_METHOD"] == "POST")
{
$email = trim($HTTP_POST_VARS["email"]);

if (!$email) stderr("Error", "<center><b>Du hast keine E@Mail angegeben!</b><center>");

$days = 5*86400;
$dt = sqlesc(get_date_time(time() - $days));

$res1=mysql_query("SELECT * FROM users WHERE email = " . sqlesc($email) . " AND prom='no' AND id!=$CURUSER[id] AND added > $dt");
$arr1=mysql_fetch_array($res1);
if (!$arr1){
stdhead("Werbung");
print("<table width=70% class=main border=0 cellspacing=0 cellpadding=0><tr><td class=embedded>");
print("<center><h2><font color=red>Diese E@Mail ist in der Datenbank nicht vorhanden oder er wurde schon beworben<br>oder du bist es selbst oder er ist schon länger als 5 tage dabei!</font></h2><table width=100% border=1 cellspacing=0 cellpadding=10>");
print("<tr><td><center><b>Zurück zur </b><a href=/index.php><b>Hauptseite</a> oder <a href=/promote.php><b>Noch eine 

Werbgegutschrift</a></center></td></tr>");
print("</table></table>\n");
die;
}


stdhead("Werbung");
mysql_query("UPDATE users SET prom='yes', promid=$CURUSER[id] WHERE id=$arr1[id]");
mysql_query("UPDATE users SET uploaded=uploaded+524288000 WHERE id=$CURUSER[id]");
print("<table width=40% class=main border=0 cellspacing=0 cellpadding=0><tr><td class=embedded>");
print("<center><h2>Werbungsgutschrift</h2><table width=100% border=1 cellspacing=0 cellpadding=10>");
print("<tr><td><center><b>Für den User: $arr1[username] mit der E@mail: $email wurden dir 500 MB Werbungsbonus 

gutgeschrieben</b><br><br><b>Zurück zur </b><a href=/index.php><b>Hauptseite</a> oder <a href=/promote.php><b>Noch eine 

Werbgegutschrift</a></center></td></tr>");
print("</table></table>\n");
die;
}
stdhead("Werbung");
print("<table width=40% class=main border=0 cellspacing=0 cellpadding=0><tr><td class=embedded>");
print("<center><h2>Werbungsgutschrift</h2><br><b><font color=white>Für jeden beworbenen User bekommst du 500 MB Upload 

Gutschrift,<br>der nicht länger als 5 Tage dabei ist</font></b><br></center><br><table width=100% border=1 cellspacing=0 

cellpadding=10>");
print("<form method=post action=promote.php>\n");
print("<tr><td class=rowhead>User E@mail</td><td><input type=text name=email size=50></td></tr>\n");
print("<tr><td colspan=2><center><input type=submit value='Einsacken !' class=btn></center></td></tr>\n");
print("</form>\n</table>\n");


stdfoot();
?>